class Indicadores{
private:
    int manipulador;

public:
    Indicadores(){};
    ~Indicadores(){};

    //Definição padrão do indicador
    virtual void set();
    //Atualização dos buffers copiando um certo número de posições
    virtual void updateBuffers(int qtdPosCopiadas);
    //Atualização dos buffers
    virtual void updateBuffers();
    //Retorno de um valor do buffer em uma posição
    virtual double getBufferValue(int bufferEnum, int bufferPos){ return 0; };
    //O valor do buffer no candle atual
    virtual double getBufferLast(int bufferEnum);

    //Getters
    int getManipulador();

    //Setters
    void setManipulador(int manipulador_);
};

int Indicadores::getManipulador(){
    return this.manipulador;
}

void Indicadores::setManipulador(int manipulador_){
    this.manipulador = manipulador_;
}